# shangpin/urls.py
from django.urls import path
from django.views.decorators.csrf import csrf_exempt
from .views import ShangpinHuoquView, ShangpinXiangqingHuoquView, DashouHuiyuanList, \
    YajinGoumai, YajinHuitiao, YajinShibai, YajinLunxun, JifenBuchong, JifenHuitiao, JifenShibai, \
    JifenLunxun, HuiyuanGoumai, HuiyuanHuitiao, HuiyuanShibai, HuiyuanLunxun, ShangjiaChenggong, \
    ShangjiaChongzhi, ShangjiaHuitiao, ShangjiaShibai, GuanshiFenhongListAPI, AdGetAllDataView, ShangpinLeixingFabuView, \
    ShangpinZhuanquFabuView, ShangpinFabuView, GuizeTupianShangchuanView, AdHuiyuanHqView, HuiyuanXiugaiView, \
    AdHuiyuanFbView, AdShangpinHuQu, AdLeixingXiuGai, AdLunboXiuGai, AdZhuanquXiuGai, AdGonggaoXiuGai, \
    AdShangpinGuizeXiuGai, AdShangpinXiuGai, AdShangpinNeiRongHuoQu, HuiyuanTypeListView, HuiyuanRecordListView, \
    AdLeixingPaixuXiuGai, ZuzhangFenhongView, CzhqdyView, DsqrgmdhView

urlpatterns = [
    path('shangpinhuoqu/', ShangpinHuoquView.as_view(), name='获取商品数据商品类型和专区'),
    path('xiangqinghuoqu/', ShangpinXiangqingHuoquView.as_view(), name='获取商品详情数据'),
    path('dshyhq', DashouHuiyuanList.as_view(), name='打手充值获取会员信息'),
    path('yajingoumai', YajinGoumai.as_view(), name='打手购买押金'),
    path('yajinhuitiao', csrf_exempt(YajinHuitiao.as_view()), name='押金支付回调'),
    #path('yajinhuitiao', YajinHuitiao.as_view(), name='押金支付回调'),
    path('yajinshibai', YajinShibai.as_view(), name='押金支付失败'),
    path('yajinlunxun', YajinLunxun.as_view(), name='押金支付轮询'),
    # 积分相关接口
    path('jifenbc', JifenBuchong.as_view(), name='积分补充参数生成'),
    #path('jifenhuitiao', JifenHuitiao.as_view(), name='积分充值回调'),
    path('jifenhuitiao', csrf_exempt(JifenHuitiao.as_view()), name='积分充值回调'),
    path('jifenshibai', JifenShibai.as_view(), name='积分支付失败'),
    path('jifenlunxun', JifenLunxun.as_view(), name='积分支付轮询'),

    # 会员相关接口
    path('huiyuangm', HuiyuanGoumai.as_view(), name='会员购买参数生成'),
    #path('huiyuanhuitiao', HuiyuanHuitiao.as_view(), name='会员支付回调'),
    path('huiyuanhuitiao', csrf_exempt(HuiyuanHuitiao.as_view()), name='会员支付回调'),
    path('huiyuanshibai', HuiyuanShibai.as_view(), name='会员支付失败'),
    path('huiyuanlx', HuiyuanLunxun.as_view(), name='会员支付轮询'),
    path('sjcz', ShangjiaChongzhi.as_view(), name='商家充值支付参数获取'),  # 商家充值支付参数
    #path('sjhuitiao', ShangjiaHuitiao.as_view(), name='商家支付官方回调'),  # 商家支付回调
    path('sjhuitiao', csrf_exempt(ShangjiaHuitiao.as_view()), name='商家支付官方回调'),
    path('sjshibai', ShangjiaShibai.as_view(), name='商家支付失败'),  # 商家支付失败处理
    path('sjcg', ShangjiaChenggong.as_view(), name='商家支付成功'),  # 商家支付成功轮询
    path('fenhonghq', GuanshiFenhongListAPI.as_view(), name='管事获取打手充值记录'),
    path('adhqlx', AdGetAllDataView.as_view(), name='管理员获取商品类型会员类型专区类型'),
    path('leixingfabu', ShangpinLeixingFabuView.as_view(), name='添加商品类型'),
    # 商品专区相关接口
    path('zhuanqufabu', ShangpinZhuanquFabuView.as_view(), name='添加商品专区'),
    # 商品发布相关接口
    path('shangpinsc', ShangpinFabuView.as_view(), name='商品发布'),
    # 规则图片上传接口
    path('guizesc', GuizeTupianShangchuanView.as_view(), name='发布商品规则'),
    path('adhuiyuanhq', AdHuiyuanHqView.as_view(), name='管理员获取会员信息'),
    path('huiyuanxiugai', HuiyuanXiugaiView.as_view(), name='修改会员信息'),  # 修改会员
    path('adhuiyuanfb', AdHuiyuanFbView.as_view(), name='发布会员'),  # 发布会员
    path('adsphq', AdShangpinHuQu.as_view(), name='管理员商品管理页面数据获取'),
    path('adggxg', AdGonggaoXiuGai.as_view(), name='管理员公告修改'),
    path('adzqxg', AdZhuanquXiuGai.as_view(), name='管理员专区修改'),
    path('adlunboxg', AdLunboXiuGai.as_view(), name='管理员轮播图修改'),
    path('adleixingxg', AdLeixingXiuGai.as_view(), name='管理员商品类型修改'),
    path('adspnrhq', AdShangpinNeiRongHuoQu.as_view(), name='管理员商品详情获取'),

    # 2. 更改商品数据接口（修改/删除）
    path('adspxqxg',AdShangpinXiuGai.as_view(), name='管理员商品详情修改'),

    # 3. 规则图片更换接口
    path('adspgzxg',AdShangpinGuizeXiuGai.as_view(), name='管理员商品规则修改'),
    path('adhyjllxcx', HuiyuanTypeListView.as_view(), name='管理员查询会员记录获取会员类型'),
    path('adhyjlcxhq', HuiyuanRecordListView.as_view(), name='管理员查询会员记录'),
    path('adleixingpaixuxg', AdLeixingPaixuXiuGai.as_view(), name='商品类型排序修改'),
    path('zuzhangfenhong', ZuzhangFenhongView.as_view(), name='组长分红记录获取'),
    path('czhqdy', CzhqdyView.as_view(), name='充值打手抵押查询'),
    path('dsqrgmdh', DsqrgmdhView.as_view(), name='充值抵扣'),
]